from ..common.service import grpc_channel
from ..common.utils import *

class BrickApi(object):
    """
    Brick Operation Class
    """    
    def __init__(self):
        self.stub = None

    @grpc_channel
    def find(self, **kwargs):
        return find_req("BrickServicer.Find", kwargs)

    @grpc_channel
    def get(self, **kwargs):
        return get_req("BrickServicer.Get", kwargs) 

    @grpc_channel
    def write(self, **kwargs):
        return write_req("BrickServicer.Write", kwargs) 

    @grpc_channel
    def find_obs_status(self, **kwargs):
        return find_req("BrickServicer.FindObsStatus", kwargs)
        
    @grpc_channel
    def find_level1_ids(self, **kwargs):
        return find_req("BrickServicer.FindLevel1Data", kwargs)
