from ..common.service import grpc_channel
from ..common.utils import *

class DetectorApi(object):
    def __init__(self):
        self.stub = None

    @grpc_channel
    def find(self, **kwargs):
        return find_req("DetectorServicer.Find", kwargs)

    @grpc_channel
    def get(self, **kwargs):
        return get_req("DetectorServicer.Get", kwargs) 

    @grpc_channel
    def update(self, **kwargs):
        return update_req("DetectorServicer.Update", kwargs) 

    @grpc_channel
    def delete(self, **kwargs):
        return update_req("DetectorServicer.Delete", kwargs) 

    @grpc_channel
    def write(self, **kwargs):
        return write_req("DetectorServicer.Write", kwargs)

    @grpc_channel
    def find_status(self, **kwargs):
        return find_req("DetectorServicer.FindStatus", kwargs)

    @grpc_channel
    def get_status(self, **kwargs):
        return get_req("DetectorServicer.GetStatus", kwargs)
    
    @grpc_channel
    def write_status(self, **kwargs):
        return write_req("DetectorServicer.WriteStatus", kwargs)          