
from ..common.service import grpc_channel
from ..common.utils import *
from csst_dfs_commons.models import Record

class Level0DataApi(object):
    def __init__(self):
        self.stub = None

    @grpc_channel
    def find(self, **kwargs):
        result = find_req("Level0Servicer.Find", kwargs)
        return result
    @grpc_channel
    def get(self, **kwargs):
        return get_req("Level0Servicer.Get", kwargs)

    @grpc_channel
    def update_proc_status(self, **kwargs):
        return update_req("Level0Servicer.UpdateProcStatus", kwargs)

    @grpc_channel
    def update_qc0_status(self, **kwargs):
        return update_req("Level0Servicer.UpdateQc0Status", kwargs)

    @grpc_channel
    def write(self, **kwargs):
        return write_req("Level0Servicer.Write", kwargs)
