from ..common.service import grpc_channel
from ..common.utils import *

class ObservationApi(object):
    def __init__(self):
        self.stub = None

    @grpc_channel
    def find(self, **kwargs):
        return find_req("ObservationServicer.Find", kwargs)

    @grpc_channel
    def get(self, **kwargs):
        return get_req("ObservationServicer.Get", kwargs)        

    @grpc_channel
    def update_proc_status(self, **kwargs):
        return update_req("ObservationServicer.UpdateProcStatus", kwargs)

    @grpc_channel
    def update_qc0_status(self, **kwargs):
        return update_req("ObservationServicer.UpdateQc0Status", kwargs)

    @grpc_channel
    def write(self, **kwargs):
        return write_req("ObservationServicer.Write", kwargs)
